PETSc version 3.15.5
Fix/Edit manual page

# DMSubDomainRestrict

restricts user-defined problem data to a block DM by running hooks registered by DMSubDomainHookAdd()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSubDomainRestrict(DM global,VecScatter oscatter,VecScatter gscatter,DM subdm)

Collective if any hooks are

### Input Arguments

| fine | - finer DM to use as a base
| oscatter | - scatter from domain global vector filling subdomain global vector with overlap
| gscatter | - scatter from domain global vector filling subdomain local vector with ghosts
| coarse | - coarer DM to update

### See Also

DMCoarsenHookAdd(), MatRestrict()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages